mcrypt_get_cipher_name
mcrypt_get_key_size
Mcrypt Functions
PHP Manual

# mcrypt_get_iv_size

Returns the size of the IV belonging to a specific cipher/mode combination

### Description

int mcrypt_get_iv_size ( string `$cipher` , string `$mode` )

Gets the size of the IV belonging to a specific `cipher`/`mode` combination.

It is more useful to use the mcrypt_enc_get_iv_size function as this uses the resource returned by mcrypt_module_open.

### Parameters

`cipher`

  One of the `MCRYPT_ciphername` constants, or the name of the algorithm as string.

`mode`

  One of the `MCRYPT_MODE_modename` constants, or one of the following strings: "ecb", "cbc", "cfb", "ofb", "nofb" or "stream".

  The IV is ignored in ECB mode as this mode does not require it. You will need to have the same IV (think: starting point) both at encryption and decryption stages, otherwise your encryption will fail.

### Return Values

Returns the size of the Initialization Vector (IV) in bytes. On error the function returns `FALSE`. If the IV is ignored in the specified cipher/mode combination zero is returned.

### Examples

Example #1 mcrypt_get_iv_size Example

`<?php
echo mcrypt_get_iv_size(MCRYPT_CAST_256, MCRYPT_MODE_CFB) . "\n";
echo mcrypt_get_iv_size('des', 'ecb') . "\n";
?>`

### See Also

- mcrypt_get_block_size
- mcrypt_enc_get_iv_size
- mcrypt_create_iv